Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QDir.SortFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QDir.SortFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDir

    public static final class QDir.SortFlag

extends java.lang.Enum
implements QtEnumerator

This enum describes the sort options available to `QDir`, e.g. for `entryList()` and `entryInfoList()`. The sort value is specified by OR-ing together values from the following list: You can only specify one of the first four.

If you specify both `DirsFirst` and Reversed, directories are still put first, but in reverse order; the files will be listed after the directories, again in reverse order.

See Also:
  Serialized Form

Field Summary
`static QDir.SortFlag` | `DirsFirst` Put the directories first, then the files.
`static QDir.SortFlag` | `DirsLast` Put the files first, then the directories.
`static QDir.SortFlag` | `IgnoreCase` Sort case-insensitively.
`static QDir.SortFlag` | `LocaleAware` Sort items appropriately using the current locale settings.
`static QDir.SortFlag` | `Name` Sort by name.
`static QDir.SortFlag` | `NoSort` Not sorted by default.
`static QDir.SortFlag` | `Reversed` Reverse the sort order.
`static QDir.SortFlag` | `Size` Sort by file size.
`static QDir.SortFlag` | `SortByMask`
`static QDir.SortFlag` | `Time` Sort by time (modification time).
`static QDir.SortFlag` | `Type` Sort by file type (extension).

Method Summary
`static QDir.SortFlags` | `createQFlags(QDir.SortFlag[] values)` This function creates a com.trolltech.qt.core.QDir$SortFlags with the specified `com.trolltech.qt.core.QDir$SortFlag[]` QDir$SortFlag values set.
`static QDir.SortFlag` | `resolve(int value)` Returns the QDir$SortFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDir.SortFlag` | `valueOf(java.lang.String name)`
`static QDir.SortFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Name

    public static final QDir.SortFlag Name

  Sort by name.

### Time

    public static final QDir.SortFlag Time

  Sort by time (modification time).

### Size

    public static final QDir.SortFlag Size

  Sort by file size.

### SortByMask

    public static final QDir.SortFlag SortByMask

### DirsFirst

    public static final QDir.SortFlag DirsFirst

  Put the directories first, then the files.

### Reversed

    public static final QDir.SortFlag Reversed

  Reverse the sort order.

### IgnoreCase

    public static final QDir.SortFlag IgnoreCase

  Sort case-insensitively.

### DirsLast

    public static final QDir.SortFlag DirsLast

  Put the files first, then the directories.

### LocaleAware

    public static final QDir.SortFlag LocaleAware

  Sort items appropriately using the current locale settings.

### Type

    public static final QDir.SortFlag Type

  Sort by file type (extension).

### NoSort

    public static final QDir.SortFlag NoSort

  Not sorted by default.

Method Detail

### values

    public static QDir.SortFlag[] values()

### valueOf

    public static QDir.SortFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QDir.SortFlags createQFlags(QDir.SortFlag[] values)

  This function creates a com.trolltech.qt.core.QDir$SortFlags with the specified `com.trolltech.qt.core.QDir$SortFlag[]` QDir$SortFlag values set.

### resolve

    public static QDir.SortFlag resolve(int value)

  Returns the QDir$SortFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD